## gcc-defaults 1.74ubuntu2

=== debian/changelog ===
gcc-defaults (1.74ubuntu2) intrepid; urgency=low

  * Drop build dependencies on gcj-4.3-base and gnat-4.3-base.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jun 2008 09:05:14 -0400

gcc-defaults (1.74ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc packages from this source package.
    - gdc defaults to 4.2.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jun 2008 19:14:55 -0400

gcc-defaults (1.74) unstable; urgency=low

  * Tighten the dependencies to 4.3.1.
  * gfortran: Don't include symlinks for runtime libs in /usr/lib.
    Closes: #485792.
  * Build libgcj-common on all architectures.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Jun 2008 15:51:36 -0400

gcc-defaults (1.73) unstable; urgency=low

  * Make GCC-4.3 the default on amd64 and i386.
  * Tighten the dependencies to 4.3.0-5.
  * Tighten the dependencies to 4.2.4-1.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jun 2008 00:56:41 +0200

gcc-defaults (1.72) unstable; urgency=high

  * Dont't build java related packages on alpha, arm, hppa. Closes: #483135.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2008 06:47:59 +0200

gcc-defaults (1.71) unstable; urgency=high

  [Arthur Loiret]
  * Some clean up in build system. Add gnat_no_archs java_no_archs,
    gpc_no_archs and gdc_no_archs vars.
  * Build gfortran on sh3 and sh4, don't build java.

  [Matthias Klose]
  * Don't add a symlink for gc-analyze(1) when building without GFDL docs.
    Closes: #471818.
  * rebuild-gcj-db: Don't complain about gcj-dbtool succeeding on armel.
    Closes: #469412.
  * Remove jv-scan symlink. Closes: #477548.
  * Make ObjC, Obj-C++ 4.3 the default on armel.
  * Use /emul/... for amd64 biarch only.
 
 -- Matthias Klose <doko@debian.org>  Fri, 09 May 2008 00:39:11 +0200

gcc-defaults (1.70ubuntu2) intrepid; urgency=low

  * Drop build dependency on gnat-4.3, keep gnat on powerpc at v4.2.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Apr 2008 14:47:05 +0200

gcc-defaults (1.70ubuntu1) intrepid; urgency=low

  * Merge with Debian; remaining changes:
    - Build -doc packages.
    - fsf-funding(7) added to the manual pages.
    - Make GCC-4.3 the default on all architectures (without the cld patch).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Apr 2008 16:43:58 +0200

gcc-defaults (1.70) unstable; urgency=low

  [Matthias Klose]
  * /usr/share/gcj/debian_defaults: Remove alpha, arm, hppa from
    gcj_archs, remove alpha from gcj_native_archs, add armel to
    gcj_archs and gcj_native_archs.
  * Make GCC-4.3 the default on hppa.
  * Remove gcj-4.3 build dependency on arm.

  [Ludovic Brenta]
  * make gnat-4.3 the default on alpha, mips and mipsel again, so
    now all architectures have the same default.  Closes: #475365.

  [Arthur Loiret]
  * debian/README.Debian:
    - Mention libstdc++ is provided by GCC-4.3.
    - Updates for gdc.
  * Remove gdc's Depends on cpp, gdc now has its own doc dir.
    - debian/gdc.preinst: handle symlink->directory conversion.
  * Don't build gdc on sparc.  Closes: #461101.
  * Don't compress README.Debian anymore.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Apr 2008 19:37:44 +0200

gcc-defaults (1.69) unstable; urgency=low

  [Arthur Loiret]
  * Build gcc-spu, g++-spu, gfortran-spu packages, defaulted to GCC-4.3.
  * Fix sh3, sh4 binary package generation.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Apr 2008 01:44:48 +0200

gcc-defaults (1.68) unstable; urgency=low

  * gfortran: Restore the gfortran library symlinks on alpha, amd64, i386, hppa.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 19:21:50 +0200

gcc-defaults (1.67) unstable; urgency=medium

  * Add build-dependency on gnat-4.3-base.
  * Don't build the g77 package anymore, remove build dependency on
    gcc-3.4-base.
  * Update README for Lenny.
  * Make gnat-4.2 the default on alpha, mips and mipsel. The Debian
    patches are not yet ported for these architectures (keep 4.3-x
    version numbers for gnat, libgnatvsn-dev, libgnatprj-dev). Add
    build dependency on gnat-4.2-base for these architectures.
  * Tighten versions and dependencies for the gnat packages to the
    final 4.3.0 release.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 15:07:31 +0200

gcc-defaults (1.66) unstable; urgency=low

  [Arthur Loiret]
  * Build multilib packages for mips and mipsel.

  [Matthias Klose]
  * Make GCC-4.3 the default on all architectures except alpha, amd64,
    hppa, i386.
    - alpha and hppa show regressions in the glibc testsuite.
    - amd64 and i386 have a patch in debian not supported upstream, and
      changing code generation.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2008 18:24:47 +0100

gcc-defaults (1.64) unstable; urgency=low

  [Matthias Klose]
  * gcc: Remove dangling FAQ symlink. Closes: #453812.
  * gij: Update conflict with java-gcj-compat,
    provide java*-runtime-headless instead of java*-runtime.
  * Depend on the packages of the GCC-4.2.3 release.
  * Tighten dependencies for gnat packages.

  [Ludovic Brenta]
  * libgnatvsn-dev, libgnatprj-dev: new packages; depend on the
    corresponding packages from gnat-4.3.
  * Make gnat-4.3 the default on all architectures.
  * gnat: install documentation in /usr/share/doc/gnat; do not symlink
    to cpp and do not depend on cpp (Ada does not need a C
    preprocessor).

  [Arthur Loiret]
  * gdc: Make gdc-4.2 the default on hurd-i386.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 12 Mar 2008 22:32:44 +0100

gcc-defaults (1.63) unstable; urgency=low

  * Make gfortran-4.3 the default on all architectures.
  * Make gij-4.3/gcj-4.3 the default on all architectures except alpha.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2008 17:17:53 +0100
