=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# version number of the defaults package
VDEF	:= $(strip $(shell dpkg-parsechangelog | awk -F: '/^Version:/ {print $$NF}'))

VMAJOR	:= $(shell echo $(VDEF) | awk -F. '{print $$1}')
VMINOR	:= $(shell echo $(VDEF) | awk -F. '{print $$2}' | sed -e 's/\([0-9]*\).*/\1/')
REL_EXT	:= $(shell echo $(VDEF) | sed -e 's/^$(VMAJOR)\.$(VMINOR)//')

# gcc-defaults 0.8 is the first version for 2.95.4.
REL_NO_295	:= $(shell expr $(VMINOR) + 15)$(REL_EXT)
# gcc-defaults 0.6 is the first version with 2.96 support.
REL_NO_296	:= $(shell expr $(VMINOR) + 17)$(REL_EXT)
# gcc-defaults 0.17 is the first version with 3.0.4 support.
REL_NO_30	:= $(shell expr $(VMINOR) + 6)$(REL_EXT)
# gcc-defaults 1.0 is the first version with 3.1 support.
REL_NO_31	:= $(shell expr $(VMINOR) + 1)$(REL_EXT)
# gcc-defaults 1.2 is the first version with 3.2 support.
REL_NO_32	:= $(shell expr $(VMINOR) - 1)$(REL_EXT)
# gcc-defaults 1.3 is the first version with 3.2.2 support.
REL_NO_322	:= $(shell expr $(VMINOR) - 3)$(REL_EXT)
# gcc-defaults 1.4 is the first version with 3.2.3 support.
REL_NO_323	:= $(shell expr $(VMINOR) - 4)$(REL_EXT)
# gcc-defaults 1.5 is the first version with 3.3 support.
REL_NO_33	:= $(shell expr $(VMINOR) - 5)$(REL_EXT)
# gcc-defaults 1.7 is the first version with 3.3.1 support.
REL_NO_331	:= $(shell expr $(VMINOR) - 7)$(REL_EXT)
# gcc-defaults 1.10 is the first version with 3.3.2 support.
REL_NO_332	:= $(shell expr $(VMINOR) - 9)$(REL_EXT)
# gcc-defaults 1.13 is the first version with 3.3.3 support.
REL_NO_333	:= $(shell expr $(VMINOR) - 12)$(REL_EXT)
# gcc-defaults 1.16 is the first version with 3.3.4 support.
REL_NO_334	:= $(shell expr $(VMINOR) - 15)$(REL_EXT)
# gcc-defaults 1.19 is the first version with 3.3.5 support.
REL_NO_335	:= $(shell expr $(VMINOR) - 18)$(REL_EXT)
# gcc-defaults 1.22 is the first version with 3.3.6 support.
REL_NO_336     := $(shell expr $(VMINOR) - 21)$(REL_EXT)

# gcc-defaults 1.22 is the first version with 3.4.3 support.
REL_NO_343	:= $(shell expr $(VMINOR) - 21)$(REL_EXT)
# gcc-defaults 1.23 is the first version with 3.4.4 support.
REL_NO_344	:= $(shell expr $(VMINOR) - 23)$(REL_EXT)
# gcc-defaults 1.30 is the first version with 3.4.5 support.
REL_NO_345	:= $(shell expr $(VMINOR) - 29)$(REL_EXT)
# gcc-defaults 1.32 is the first version with 3.4.5 support.
REL_NO_346	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)

# gcc-defaults 1.23 is the first version with 4.0.0 support.
REL_NO_400	:= $(shell expr $(VMINOR) - 22)$(REL_EXT)
# gcc-defaults 1.26 is the first version with 4.0.1 support.
REL_NO_401	:= $(shell expr $(VMINOR) - 25)$(REL_EXT)
# gcc-defaults 1.29 is the first version with 4.0.2 support.
REL_NO_402	:= $(shell expr $(VMINOR) - 28)$(REL_EXT)
# gcc-defaults 1.32 is the first version with 4.0.3 support.
REL_NO_403	:= $(shell expr $(VMINOR) - 31)$(REL_EXT)

# gcc-defaults 1.33 is the first version with 4.1.0 support.
REL_NO_410	:= $(shell expr $(VMINOR) - 33)$(REL_EXT)
# gcc-defaults 1.36 is the first version with 4.1.1 support.
REL_NO_411	:= $(shell expr $(VMINOR) - 35)$(REL_EXT)
# gcc-defaults 1.51 is the first version with 4.1.2 support.
REL_NO_412	:= $(shell expr $(VMINOR) - 50)$(REL_EXT)

# gcc-defaults 1.54 is the first version with 4.2.0 support.
REL_NO_420	:= $(shell expr $(VMINOR) - 54)$(REL_EXT)
# gcc-defaults 1.56 is the first version with 4.2.1 support.
REL_NO_421	:= $(shell expr $(VMINOR) - 55)$(REL_EXT)
# gcc-defaults 1.62 is the first version with 4.2.2 support.
REL_NO_422	:= $(shell expr $(VMINOR) - 61)$(REL_EXT)
# gcc-defaults 1.63 is the first version with 4.2.3 support.
REL_NO_423	:= $(shell expr $(VMINOR) - 62)$(REL_EXT)
# gcc-defaults 1.73 is the first version with 4.2.4 support.
REL_NO_424	:= $(shell expr $(VMINOR) - 72)$(REL_EXT)

# gcc-defaults 1.63 is the first version with 4.3 support.
REL_NO_43	:= $(shell expr $(VMINOR) - 62)$(REL_EXT)
# gcc-defaults 1.66 is the first version with 4.3 support.
REL_NO_430	:= $(shell expr $(VMINOR) - 65)$(REL_EXT)
# gcc-defaults 1.74 is the first version with 4.3.1 support.
REL_NO_431	:= $(shell expr $(VMINOR) - 73)$(REL_EXT)

GPC_VERSION	:= 2.1
GDC_VERSION	:= 0.25

# minimum required gcc-X.Y versions
REQV_295	:= (>= 1:2.95.4-16)
REQV_296	:= 
REQV_30		:= (>= 1:3.0.4-12)
REQV_32		:= (>= 1:3.2.3-1)
REQV_33		:= (>= 1:3.3.6-1)
REQV_GPC_33	:= (>= 1:3.3.6.$(GPC_DATE)-1)
REQV_34		:= (>= 3.4.6-1)
REQV_40		:= (>= 4.0.3-1)
REQV_41		:= (>= 4.1.2-1)
REQV_41_GCJ	:= (>= 4.1.2-1)
REQV_41_GPC	:= (>= $(GPC_VERSION)-4.1.2-16)
REQV_41_GDC	:= (>= $(GDC_VERSION)-4.1.2-18)
REQV_42		:= (>= 4.2.4-1)
REQV_42_GCJ	:= (>= 4.2.4-1)
REQV_42_GDC	:= (>= $(GDC_VERSION)-4.2.4-1)
REQV_43		:= (>= 4.3.1-1)

REQV_LIBGCJ_BC	:= (>= 4.3.1-1)

# architecture dependent variables
DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

# CV_XXX is the complete version number, including the release, without epoch
CV_CHILL:= 2.95.4-$(REL_NO_295)
CV_GPC	:= 3.4.6-$(REL_NO_346)

CV_CPP		:= 4.2.4-$(REL_NO_424)
CV_GCC		:= 4.2.4-$(REL_NO_424)
CV_GPP		:= 4.2.4-$(REL_NO_424)
CV_GOBJC	:= 4.2.4-$(REL_NO_424)
CV_GOBJCXX	:= 4.2.4-$(REL_NO_424)
CV_GFORT	:= 4.3.1-$(REL_NO_431)
CV_GCJ		:= 4.3.1-$(REL_NO_431)
CV_GIJ		:= 4.3.1-$(REL_NO_431)
CV_LIBGCJBC	:= 4.3.1-$(REL_NO_431)
CV_GNAT		:= 4.3.1-$(REL_NO_431)
CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
CV_GDC		:= 4.2.4-$(REL_NO_424)
CV_LIBGCJCOMMON	:= 1:4.3.1-$(REL_NO_431)
CV_SPU		:= 4.3.1-$(REL_NO_431)

ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
    CV_CPP      := 4.3.1-$(REL_NO_431)
    CV_GCC      := 4.3.1-$(REL_NO_431)
    CV_GPP      := 4.3.1-$(REL_NO_431)
    CV_GOBJC    := 4.3.1-$(REL_NO_431)
    CV_GOBJCXX  := 4.3.1-$(REL_NO_431)
endif

REQV_CHILL	= $(REQV_295)
REQV_GPC	= $(REQV_34)

REQV_CPP	= $(REQV_42)
REQV_GCC	= $(REQV_42)
REQV_GPP	= $(REQV_42)
REQV_GOBJC	= $(REQV_42)
REQV_GOBJCXX	= $(REQV_42)
REQV_GFORT	= $(REQV_43)
REQV_GCJ	= $(REQV_43)
REQV_GIJ	= $(REQV_43)
REQV_GPC	= $(REQV_41_GPC)
REQV_GDC	= $(REQV_42_GDC)
REQV_GNAT	= $(REQV_43)
REQV_SPU	= $(REQV_43)

ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
    REQV_CPP    = $(REQV_43)
    REQV_GCC    = $(REQV_43)
    REQV_GPP    = $(REQV_43)
    REQV_GOBJC  = $(REQV_43)
    REQV_GOBJCXX= $(REQV_43)
endif

EPOCH=4
EPOCH_GPC=5
OS_NAME	:= Linux
distribution := $(shell lsb_release -is)
all_packages	:= gnat libgnatvsn-dev libgnatprj-dev
all_packages    += g++ gfortran gcj gobjc gobjc++ gpc gdc
all_packages	+= gcc-spu g++-spu gfortran-spu
no_packages	:= chill

ifeq ($(distribution)-$(DEB_HOST_ARCH),Debian-amd64)
  lib32 = /emul/ia32-linux/usr/lib/
else
  lib32 = /usr/lib32
endif

LIBGCJ		= libgcj9-0
LIBGCJ_PC	= libgcj9.pc
LIBGCJ_SONAME	= 90

gcj_archs = amd64 armel i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc
gcj_native_archs = amd64 armel i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc
multilib_archs = amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc

ifneq (,$(filter $(DEB_HOST_ARCH), $(multilib_archs)))
  with_multilib = yes
endif

with_gfdl_docs := no
ifeq ($(distribution),Ubuntu)
  with_gfdl_docs := yes
endif

gnat_no_archs := arm armel hurd-i386 kfreebsd-amd64 m32r m68k netbsd-i386 sh3 sh4
ifneq (,$(filter $(DEB_HOST_ARCH),$(gnat_no_archs)))
  no_packages += gnat
endif

java_no_archs := alpha arm hppa hurd-i386 sh3 sh4
ifneq (,$(filter $(DEB_HOST_ARCH),$(java_no_archs)))
  no_packages += gcj gij libgcj-bc
endif

gpc_no_archs := sh3 sh4
ifneq (,$(filter $(DEB_HOST_ARCH),$(gpc_no_archs)))
  no_packages += gpc
endif

gdc_no_archs := sparc
ifneq (,$(filter $(DEB_HOST_ARCH),$(gdc_no_archs)))
  no_packages += gdc
endif

ifeq ($(DEB_HOST_ARCH),alpha)
    CV_GCJ_HACKED	:= 4.1.2-$(REL_NO_412)
    CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
    REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
    REQV_GCJ	= $(REQV_41)
    REQV_GIJ	= $(REQV_41)
    LIBGCJ		= libgcj7-1
    LIBGCJ_PC	= libgcj7.pc
    LIBGCJ_SONAME	= 71
endif

ifeq ($(DEB_HOST_ARCH),hurd-i386)
    OS_NAME	:= Hurd
