## gcc-defaults 1.77

=== debian/changelog ===
gcc-defaults (1.77) unstable; urgency=medium

  * libgcj-bc: Don't require 4.3.2.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Sep 2008 07:38:56 +0200

gcc-defaults (1.76) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add kfreebsd-amd64 and kfreebsd-i386 to gcj_archs and gcj_native_archs.
    Closes: #497770.

  [ Matthias Klose ]
  * Tighten the dependencies to 4.3.2.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Sep 2008 23:41:52 +0200

gcc-defaults (1.75) unstable; urgency=low

  * gcj: Don't provide the grmic(1) symlink. Closes: #486713.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Jun 2008 15:31:07 +0200
