=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcc-4.3-base (>= 4.3.1), lsb-release
+Build-Depends: m4, debhelper (>= 5), dpkg-dev (>= 1.13.9), gcj-4.3-base (>= 4.3.2) [!hurd-i386 !alpha !arm !hppa !sh3 !sh4], gcc-4.2-base (>= 4.2.4), gcc-4.3-base (>= 4.3.2), gnat-4.3-base (>= 4.3.2) [alpha amd64 hppa i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386], lsb-release
 
 Package: cpp
 Priority: optional
@@ -288,11 +288,3 @@
 Priority: optional
 Depends: cpp (>= ${version:cpp}), gfortran-${pv:spu}-spu ${reqv:spu}
 Description: SPU cross-compiler (Fortran compiler)
- GNU Compiler Collection for the Cell Broadband Engine SPU (Fortran compiler).
-
-Package: cpp-doc
-Section: doc
-Architecture: any
-Priority: optional
-Depends: cpp-${pv:cpp}-doc ${reqv:cpp}
-Suggests: cpp (>= ${version:cpp})
