=== debian/rules ===
--- 
+++ 
@@ -81,6 +81,8 @@
 REL_NO_430	:= $(shell expr $(VMINOR) - 65)$(REL_EXT)
 # gcc-defaults 1.74 is the first version with 4.3.1 support.
 REL_NO_431	:= $(shell expr $(VMINOR) - 73)$(REL_EXT)
+# gcc-defaults 1.76 is the first version with 4.3.2 support.
+REL_NO_432	:= $(shell expr $(VMINOR) - 75)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
 GDC_VERSION	:= 0.25
@@ -101,9 +103,9 @@
 REQV_42		:= (>= 4.2.4-1)
 REQV_42_GCJ	:= (>= 4.2.4-1)
 REQV_42_GDC	:= (>= $(GDC_VERSION)-4.2.4-1)
-REQV_43		:= (>= 4.3.1-1)
-
-REQV_LIBGCJ_BC	:= (>= 4.3.1-1)
+REQV_43		:= (>= 4.3.2-1)
+
+REQV_LIBGCJ_BC	:= (>= 4.3.1-9)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -118,22 +120,22 @@
 CV_GPP		:= 4.2.4-$(REL_NO_424)
 CV_GOBJC	:= 4.2.4-$(REL_NO_424)
 CV_GOBJCXX	:= 4.2.4-$(REL_NO_424)
-CV_GFORT	:= 4.3.1-$(REL_NO_431)
-CV_GCJ		:= 4.3.1-$(REL_NO_431)
-CV_GIJ		:= 4.3.1-$(REL_NO_431)
-CV_LIBGCJBC	:= 4.3.1-$(REL_NO_431)
-CV_GNAT		:= 4.3.1-$(REL_NO_431)
+CV_GFORT	:= 4.3.2-$(REL_NO_432)
+CV_GCJ		:= 4.3.2-$(REL_NO_432)
+CV_GIJ		:= 4.3.2-$(REL_NO_432)
+CV_LIBGCJBC	:= 4.3.2-$(REL_NO_432)
+CV_GNAT		:= 4.3.2-$(REL_NO_432)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
-CV_GDC		:= 4.2.4-$(REL_NO_424)
-CV_LIBGCJCOMMON	:= 1:4.3.1-$(REL_NO_431)
-CV_SPU		:= 4.3.1-$(REL_NO_431)
+CV_GDC		:= 4.1.2-$(REL_NO_412)
+CV_LIBGCJCOMMON	:= 1:4.3.2-$(REL_NO_432)
+CV_SPU		:= 4.3.2-$(REL_NO_432)
 
 ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
-    CV_CPP      := 4.3.1-$(REL_NO_431)
-    CV_GCC      := 4.3.1-$(REL_NO_431)
-    CV_GPP      := 4.3.1-$(REL_NO_431)
-    CV_GOBJC    := 4.3.1-$(REL_NO_431)
-    CV_GOBJCXX  := 4.3.1-$(REL_NO_431)
+    CV_CPP      := 4.3.2-$(REL_NO_432)
+    CV_GCC      := 4.3.2-$(REL_NO_432)
+    CV_GPP      := 4.3.2-$(REL_NO_432)
+    CV_GOBJC    := 4.3.2-$(REL_NO_432)
+    CV_GOBJCXX  := 4.3.2-$(REL_NO_432)
 endif
 
 REQV_CHILL	= $(REQV_295)
@@ -148,7 +150,7 @@
 REQV_GCJ	= $(REQV_43)
 REQV_GIJ	= $(REQV_43)
 REQV_GPC	= $(REQV_41_GPC)
-REQV_GDC	= $(REQV_42_GDC)
+REQV_GDC	= $(REQV_41_GDC)
 REQV_GNAT	= $(REQV_43)
 REQV_SPU	= $(REQV_43)
 
@@ -179,8 +181,8 @@
 LIBGCJ_PC	= libgcj9.pc
 LIBGCJ_SONAME	= 90
 
-gcj_archs = amd64 armel i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc
-gcj_native_archs = amd64 armel i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc
+gcj_archs = amd64 armel i386 ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64 kfreebsd-i386
+gcj_native_archs = amd64 armel i386 ia64 lpia mips mipsel powerpc ppc64 s390 sparc kfreebsd-amd64 kfreebsd-i386
 multilib_archs = amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc
 
 ifneq (,$(filter $(DEB_HOST_ARCH), $(multilib_archs)))
@@ -217,11 +219,3 @@
     CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
     REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
     REQV_GCJ	= $(REQV_41)
-    REQV_GIJ	= $(REQV_41)
-    LIBGCJ		= libgcj7-1
-    LIBGCJ_PC	= libgcj7.pc
-    LIBGCJ_SONAME	= 71
-endif
-
-ifeq ($(DEB_HOST_ARCH),hurd-i386)
-    OS_NAME	:= Hurd
