## gcc-defaults 1.78ubuntu1

=== debian/changelog ===
gcc-defaults (1.78ubuntu1) jaunty; urgency=low

  * Tighten the dependencies to 4.3.3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Mar 2009 17:15:47 +0100

gcc-defaults (1.77ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Build the -doc packages from this source package.
    - gdc defaults to 4.2.4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Nov 2008 22:13:04 +0100
