=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,8 @@
 REL_NO_431	:= $(shell expr $(VMINOR) - 73)$(REL_EXT)
 # gcc-defaults 1.76 is the first version with 4.3.2 support.
 REL_NO_432	:= $(shell expr $(VMINOR) - 75)$(REL_EXT)
+# gcc-defaults 1.78 is the first version with 4.3.2 support.
+REL_NO_433	:= $(shell expr $(VMINOR) - 77)$(REL_EXT)
 
 GPC_VERSION	:= 2.1
 GDC_VERSION	:= 0.25
@@ -103,9 +105,9 @@
 REQV_42		:= (>= 4.2.4-1)
 REQV_42_GCJ	:= (>= 4.2.4-1)
 REQV_42_GDC	:= (>= $(GDC_VERSION)-4.2.4-1)
-REQV_43		:= (>= 4.3.2-1)
-
-REQV_LIBGCJ_BC	:= (>= 4.3.1-9)
+REQV_43		:= (>= 4.3.3-1)
+
+REQV_LIBGCJ_BC	:= (>= 4.3.3-1)
 
 # architecture dependent variables
 DEB_HOST_ARCH		:= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -120,22 +122,22 @@
 CV_GPP		:= 4.2.4-$(REL_NO_424)
 CV_GOBJC	:= 4.2.4-$(REL_NO_424)
 CV_GOBJCXX	:= 4.2.4-$(REL_NO_424)
-CV_GFORT	:= 4.3.2-$(REL_NO_432)
-CV_GCJ		:= 4.3.2-$(REL_NO_432)
-CV_GIJ		:= 4.3.2-$(REL_NO_432)
-CV_LIBGCJBC	:= 4.3.2-$(REL_NO_432)
-CV_GNAT		:= 4.3.2-$(REL_NO_432)
+CV_GFORT	:= 4.3.3-$(REL_NO_433)
+CV_GCJ		:= 4.3.3-$(REL_NO_433)
+CV_GIJ		:= 4.3.3-$(REL_NO_433)
+CV_LIBGCJBC	:= 4.3.3-$(REL_NO_433)
+CV_GNAT		:= 4.3.3-$(REL_NO_433)
 CV_GPC		:= $(GPC_VERSION)-4.1.2-$(REL_NO_412)
-CV_GDC		:= 4.1.2-$(REL_NO_412)
-CV_LIBGCJCOMMON	:= 1:4.3.2-$(REL_NO_432)
-CV_SPU		:= 4.3.2-$(REL_NO_432)
+CV_GDC		:= 4.2.4-$(REL_NO_424)
+CV_LIBGCJCOMMON	:= 1:4.3.3-$(REL_NO_433)
+CV_SPU		:= 4.3.3-$(REL_NO_433)
 
 ifeq (,$(filter $(DEB_HOST_ARCH), alpha))
-    CV_CPP      := 4.3.2-$(REL_NO_432)
-    CV_GCC      := 4.3.2-$(REL_NO_432)
-    CV_GPP      := 4.3.2-$(REL_NO_432)
-    CV_GOBJC    := 4.3.2-$(REL_NO_432)
-    CV_GOBJCXX  := 4.3.2-$(REL_NO_432)
+    CV_CPP      := 4.3.3-$(REL_NO_433)
+    CV_GCC      := 4.3.3-$(REL_NO_433)
+    CV_GPP      := 4.3.3-$(REL_NO_433)
+    CV_GOBJC    := 4.3.3-$(REL_NO_433)
+    CV_GOBJCXX  := 4.3.3-$(REL_NO_433)
 endif
 
 REQV_CHILL	= $(REQV_295)
@@ -150,7 +152,7 @@
 REQV_GCJ	= $(REQV_43)
 REQV_GIJ	= $(REQV_43)
 REQV_GPC	= $(REQV_41_GPC)
-REQV_GDC	= $(REQV_41_GDC)
+REQV_GDC	= $(REQV_42_GDC)
 REQV_GNAT	= $(REQV_43)
 REQV_SPU	= $(REQV_43)
 
@@ -215,7 +217,3 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH),alpha)
-    CV_GCJ_HACKED	:= 4.1.2-$(REL_NO_412)
-    CV_GIJ_HACKED	:= 4.1.2-$(REL_NO_412)
-    REQV_LIBGCJ_BC	:= (>= 4.1.2-3)
-    REQV_GCJ	= $(REQV_41)
